/*
File: LCDMAIN.C
*/

#include <lcdtest.g>
#include <epoc.h>
#include <p_file.h>
#include <lcdwserv.g>
#include <lcdcomm.g>

#pragma METHOD_CALL

GLDEF_C VOID main(VOID)
    {
    IN_HWIMMAN app;
    IN_WSERV wserv;

    p_linklib(0);
    app.flags = FLG_APPMAN_RSCFILE
                    | FLG_APPMAN_CLEAN
                    | FLG_APPMAN_SRSCFILE
                    | FLG_APPMAN_FULLSCREEN
                    | FLG_APPMAN_ONLYONE;  
    app.wserv_cat = wserv.com_cat = p_getlibh(CAT_LCDTEST_LCDTEST);
    app.wserv_class = C_LCDWSERV;
    wserv.com_class = C_LCDCOMM;
    p_send4(p_new(CAT_LCDTEST_HWIM,C_HWIMMAN),O_AM_INIT,&app,&wserv);
    } /* never returns */
